[arch-commits] Commit in curl/repos (6 files)

Dave Reisner dreisner at archlinux.org
Sat Mar 24 22:41:51 EDT 2012


    Date: Saturday, March 24, 2012 @ 22:41:51
  Author: dreisner
Revision: 154257

db-move: moved curl from [testing] to [core] (i686)

Added:
  curl/repos/core-i686/PKGBUILD
    (from rev 154254, curl/repos/testing-i686/PKGBUILD)
  curl/repos/core-i686/curlbuild.h
    (from rev 154254, curl/repos/testing-i686/curlbuild.h)
Deleted:
  curl/repos/core-i686/0001-include-headers-for-tcp-keepalives.patch
  curl/repos/core-i686/PKGBUILD
  curl/repos/core-i686/curlbuild.h
  curl/repos/testing-i686/

-----------------------------------------------+
 0001-include-headers-for-tcp-keepalives.patch |   31 -----
 PKGBUILD                                      |  132 +++++++++++-------------
 curlbuild.h                                   |   18 +--
 3 files changed, 73 insertions(+), 108 deletions(-)

Deleted: core-i686/0001-include-headers-for-tcp-keepalives.patch
===================================================================
--- core-i686/0001-include-headers-for-tcp-keepalives.patch	2012-03-25 02:41:50 UTC (rev 154256)
+++ core-i686/0001-include-headers-for-tcp-keepalives.patch	2012-03-25 02:41:51 UTC (rev 154257)
@@ -1,31 +0,0 @@
-From d906981b20d41466d040e6cc2570099c8d665f7f Mon Sep 17 00:00:00 2001
-From: Dave Reisner <dreisner at archlinux.org>
-Date: Sat, 28 Jan 2012 08:05:02 -0500
-Subject: [PATCH] include headers for tcp-keepalives
-
----
- src/tool_cb_skt.c |    8 ++++++++
- 1 files changed, 8 insertions(+), 0 deletions(-)
-
-diff --git a/src/tool_cb_skt.c b/src/tool_cb_skt.c
-index 156c110..e74d5e4 100644
---- a/src/tool_cb_skt.c
-+++ b/src/tool_cb_skt.c
-@@ -27,6 +27,14 @@
- #  include <sys/socket.h>
- #endif
- 
-+#ifdef HAVE_NETINET_TCP_H
-+#  include <netinet/tcp.h>
-+#endif
-+
-+#ifdef HAVE_NETINET_IN_H
-+#  include <netinet/in.h>
-+#endif
-+
- #define ENABLE_CURLX_PRINTF
- /* use our own printf() functions */
- #include "curlx.h"
--- 
-1.7.8.4
-

Deleted: core-i686/PKGBUILD
===================================================================
--- core-i686/PKGBUILD	2012-03-25 02:41:50 UTC (rev 154256)
+++ core-i686/PKGBUILD	2012-03-25 02:41:51 UTC (rev 154257)
@@ -1,68 +0,0 @@
-# $Id$
-# Maintainer: Dave Reisner <dreisner at archlinux.org>
-# Contributor: Angel Velasquez <angvp at archlinux.org>
-# Contributor: Eric Belanger <eric at archlinux.org>
-# Contributor: Lucien Immink <l.immink at student.fnt.hvu.nl>
-# Contributor: Daniel J Griffiths <ghost1227 at archlinux.us>
-
-pkgname=curl
-pkgver=7.24.0
-pkgrel=2
-pkgdesc="An URL retrival utility and library"
-arch=('i686' 'x86_64')
-url="http://curl.haxx.se"
-license=('MIT')
-depends=('ca-certificates' 'libssh2' 'openssl' 'zlib')
-options=('!libtool')
-source=("http://curl.haxx.se/download/$pkgname-$pkgver.tar.gz"{,.asc}
-        0001-include-headers-for-tcp-keepalives.patch
-        curlbuild.h)
-md5sums=('b93420f80a2baaa61a0f45214eddc2ba'
-         '710242df6bc318d16eea611e7d1b1410'
-         '84833972c2ff36abb2bfdd4ac065c2e5'
-         '751bd433ede935c8fae727377625a8ae')
-
-ptrsize=$(cpp <<<'__SIZEOF_POINTER__' | sed '/^#/d')
-case $ptrsize in
-  8) _curlbuild=curlbuild-64.h ;;
-  4) _curlbuild=curlbuild-32.h ;;
-  *) error "unknown pointer size for architecture: %s bytes" "$ptrsize"
-    exit 1
-    ;;
-esac
-
-build() {
-  cd "$pkgname-$pkgver"
-
-  patch -Np1 < "$srcdir/0001-include-headers-for-tcp-keepalives.patch"
-
-  ./configure \
-      --prefix=/usr \
-      --mandir=/usr/share/man \
-      --disable-dependency-tracking \
-      --disable-ldap \
-      --disable-ldaps \
-      --enable-ipv6 \
-      --enable-manual \
-      --enable-versioned-symbols \
-      --enable-threaded-resolver \
-      --without-libidn \
-      --with-random=/dev/urandom \
-      --with-ca-bundle=/etc/ssl/certs/ca-certificates.crt
-
-  make
-}
-
-package() {
-  cd "$pkgname-$pkgver"
-
-  make DESTDIR="$pkgdir" install
-
-  # license
-  install -Dm644 COPYING "$pkgdir/usr/share/licenses/$pkgname/COPYING"
-
-  # devel
-  install -Dm644 docs/libcurl/libcurl.m4 "$pkgdir/usr/share/aclocal/libcurl.m4"
-  mv "$pkgdir/usr/include/curl/curlbuild.h" "$pkgdir/usr/include/curl/$_curlbuild"
-  install -m644 "$srcdir/curlbuild.h" "$pkgdir/usr/include/curl/curlbuild.h"
-}

Copied: curl/repos/core-i686/PKGBUILD (from rev 154254, curl/repos/testing-i686/PKGBUILD)
===================================================================
--- core-i686/PKGBUILD	                        (rev 0)
+++ core-i686/PKGBUILD	2012-03-25 02:41:51 UTC (rev 154257)
@@ -0,0 +1,64 @@
+# $Id$
+# Maintainer: Dave Reisner <dreisner at archlinux.org>
+# Contributor: Angel Velasquez <angvp at archlinux.org>
+# Contributor: Eric Belanger <eric at archlinux.org>
+# Contributor: Lucien Immink <l.immink at student.fnt.hvu.nl>
+# Contributor: Daniel J Griffiths <ghost1227 at archlinux.us>
+
+pkgname=curl
+pkgver=7.25.0
+pkgrel=1
+pkgdesc="An URL retrival utility and library"
+arch=('i686' 'x86_64')
+url="http://curl.haxx.se"
+license=('MIT')
+depends=('ca-certificates' 'libssh2' 'openssl' 'zlib')
+options=('!libtool')
+source=("http://curl.haxx.se/download/$pkgname-$pkgver.tar.gz"{,.asc}
+        curlbuild.h)
+md5sums=('a56cbe2778b09769f8a5ba17d8f4d92a'
+         '0e0fd2da19bde6f7be687667e2fac02f'
+         '751bd433ede935c8fae727377625a8ae')
+
+ptrsize=$(cpp <<<'__SIZEOF_POINTER__' | sed '/^#/d')
+case $ptrsize in
+  8) _curlbuild=curlbuild-64.h ;;
+  4) _curlbuild=curlbuild-32.h ;;
+  *) error "unknown pointer size for architecture: %s bytes" "$ptrsize"
+    exit 1
+    ;;
+esac
+
+build() {
+  cd "$pkgname-$pkgver"
+
+  ./configure \
+      --prefix=/usr \
+      --mandir=/usr/share/man \
+      --disable-dependency-tracking \
+      --disable-ldap \
+      --disable-ldaps \
+      --enable-ipv6 \
+      --enable-manual \
+      --enable-versioned-symbols \
+      --enable-threaded-resolver \
+      --without-libidn \
+      --with-random=/dev/urandom \
+      --with-ca-bundle=/etc/ssl/certs/ca-certificates.crt
+
+  make
+}
+
+package() {
+  cd "$pkgname-$pkgver"
+
+  make DESTDIR="$pkgdir" install
+
+  # license
+  install -Dm644 COPYING "$pkgdir/usr/share/licenses/$pkgname/COPYING"
+
+  # devel
+  install -Dm644 docs/libcurl/libcurl.m4 "$pkgdir/usr/share/aclocal/libcurl.m4"
+  mv "$pkgdir/usr/include/curl/curlbuild.h" "$pkgdir/usr/include/curl/$_curlbuild"
+  install -m644 "$srcdir/curlbuild.h" "$pkgdir/usr/include/curl/curlbuild.h"
+}

Deleted: core-i686/curlbuild.h
===================================================================
--- core-i686/curlbuild.h	2012-03-25 02:41:50 UTC (rev 154256)
+++ core-i686/curlbuild.h	2012-03-25 02:41:51 UTC (rev 154257)
@@ -1,9 +0,0 @@
-#include <bits/wordsize.h>
-
-#if __WORDSIZE == 32
-#include "curlbuild-32.h"
-#elif __WORDSIZE == 64
-#include "curlbuild-64.h"
-#else
-#error "Unknown word size"
-#endif

Copied: curl/repos/core-i686/curlbuild.h (from rev 154254, curl/repos/testing-i686/curlbuild.h)
===================================================================
--- core-i686/curlbuild.h	                        (rev 0)
+++ core-i686/curlbuild.h	2012-03-25 02:41:51 UTC (rev 154257)
@@ -0,0 +1,9 @@
+#include <bits/wordsize.h>
+
+#if __WORDSIZE == 32
+#include "curlbuild-32.h"
+#elif __WORDSIZE == 64
+#include "curlbuild-64.h"
+#else
+#error "Unknown word size"
+#endif



More information about the arch-commits mailing list